
Redmine - Feature #17077

fetch_changesets should use POST method too

2014-06-04 09:30 - Aurélien Patour

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed   

Description

We use fetch_changesets to link Redmine issues with our git commits within another application.

Unfortunately, it only uses the POST method - so we had to add it to the redmine code :

-  match 'sys/fetch_changesets', :to => 'sys#fetch_changesets', :via => :get

+  match 'sys/fetch_changesets', :to => 'sys#fetch_changesets', :via => [:get, :post]

 Could you please add it to a future Redmine version ?

Thanks !

Related issues:

Has duplicate Redmine - Feature #17169: Allow POST in sys/fetch_changesets Closed

Associated revisions

Revision 13392 - 2014-09-13 12:49 - Jean-Philippe Lang

Makes sys#fetch_changesets accept POST requests (#17077).

History

#1 - 2014-06-26 14:24 - Toshi MARUYAMA

- Category set to SCM

- Target version set to 2.6.0

#2 - 2014-06-26 14:25 - Toshi MARUYAMA

- Related to Feature #17169: Allow POST in sys/fetch_changesets added

#3 - 2014-09-13 12:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed in r13392.

#4 - 2014-10-12 18:26 - Toshi MARUYAMA

- Related to deleted (Feature #17169: Allow POST in sys/fetch_changesets)

#5 - 2014-10-12 18:26 - Toshi MARUYAMA

- Has duplicate Feature #17169: Allow POST in sys/fetch_changesets added
